// Copyright (C) 2018 Avatao.com Innovative Learning Kft.
// All Rights Reserved. See LICENSE file for details.

import { SetValueCommand } from './set-value-command';
import { WebSocketMessage } from './websocket-message';

export interface ConsoleReadCommand extends WebSocketMessage {}

export interface ConsoleWriteCommand extends WebSocketMessage {
  value: string;
}

export interface ConsoleLiveLogsCommand extends WebSocketMessage, SetValueCommand<boolean> {}

export interface ConsoleRewriteContentCommand extends WebSocketMessage, SetValueCommand<string> {}
